import { DayEnum, IDay, IMonth, MonthEnum, MonthNumber, Year } from './types';
export { DayEnum, IDay, IMonth, MonthEnum, MonthNumber, Year };
export declare function getDaysInMonth(year: Year, month: MonthNumber): number;
export declare function getPreviousMonth(year: Year, month: MonthNumber): IMonth;
export declare function getNextMonth(year: Year, month: MonthNumber): IMonth;
export declare function getPreviousDay(year: Year, month: MonthNumber, day: number): IDay;
export declare function getNextDay(year: Year, month: MonthNumber, day: number): IDay;
/**
 * Get calendar for given month.
 *
 * @param {number} year - year [1900 – 2100]
 * @param {number} month - Month [1  - 12]
 * @param {number} [startOfTheWeek=0] - Start of the week [0 – 6] where 0 is Sunday, and 6 is Saturday
 *
 * @returns {Object[][]}
 */
export declare function calendarMonth(year: any, month: any, startOfTheWeek?: any): IDay[][];
